lkml.org 
[lkml]   [2019]   [Oct]   [9]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
/
From
SubjectRe: [PATCH] clk: at91: add compatible for sam9x60
Date
Hi,

On 08.10.2019 19:54, Alexandre Belloni wrote:
> Hi,
>
> On 08/10/2019 19:46:26+0300, Claudiu Beznea wrote:
>> Add compatible for SAM9X60's PMC.
>
> I think the commit log could be clearer and mention why this is needed
> and the compatible string in sam9x60 is not sufficient.

I had issues with waking up from ULP1 without even having configuring
wakeup sources.

But, investigating more I discovered that this patch breaks other things
so please ignore it.

Sorry for the noise,
Claudiu Beznea

>
>>
>> Signed-off-by: Claudiu Beznea <claudiu.beznea@microchip.com>
>> ---
>> drivers/clk/at91/pmc.c | 1 +
>> 1 file changed, 1 insertion(+)
>>
>> diff --git a/drivers/clk/at91/pmc.c b/drivers/clk/at91/pmc.c
>> index db24539d5740..24975bca608e 100644
>> --- a/drivers/clk/at91/pmc.c
>> +++ b/drivers/clk/at91/pmc.c
>> @@ -271,6 +271,7 @@ static struct syscore_ops pmc_syscore_ops = {
>>
>> static const struct of_device_id sama5d2_pmc_dt_ids[] = {
>
> Maybe rename the array?
>
>> { .compatible = "atmel,sama5d2-pmc" },
>> + { .compatible = "microchip,sam9x60-pmc" },
>> { /* sentinel */ }
>> };
>>
>> --
>> 2.7.4
>>
>
\
 
 \ /
  Last update: 2019-10-09 14:18    [W:0.036 / U:0.596 seconds]
©2003-2018 Jasper Spaans|hosted at Digital Ocean and TransIP|Read the blog|Advertise on this site